Kinetica   C#   API  Version 7.2.3.1
ExecuteSql.cs
Go to the documentation of this file.
1 /*
2  * This file was autogenerated by the Kinetica schema processor.
3  *
4  * DO NOT EDIT DIRECTLY.
5  */
6 
7 using System.Collections.Generic;
8 
9 namespace kinetica;
10 
38 {
43  public struct Encoding
44  {
45  public const string BINARY = "binary";
46  public const string JSON = "json";
47  } // end struct Encoding
48 
52  public struct Options
53  {
67  public const string COST_BASED_OPTIMIZATION = "cost_based_optimization";
68 
69  public const string TRUE = "true";
70  public const string FALSE = "false";
71 
85  public const string DISTRIBUTED_JOINS = "distributed_joins";
86 
100  public const string DISTRIBUTED_OPERATIONS = "distributed_operations";
101 
125  public const string IGNORE_EXISTING_PK = "ignore_existing_pk";
126 
141  public const string LATE_MATERIALIZATION = "late_materialization";
142 
159  public const string PAGING_TABLE = "paging_table";
160 
172  public const string PAGING_TABLE_TTL = "paging_table_ttl";
173 
187  public const string PARALLEL_EXECUTION = "parallel_execution";
188 
202  public const string PLAN_CACHE = "plan_cache";
203 
217  public const string PREPARE_MODE = "prepare_mode";
218 
233  public const string PRESERVE_DICT_ENCODING = "preserve_dict_encoding";
234 
239  public const string QUERY_PARAMETERS = "query_parameters";
240 
254  public const string RESULTS_CACHING = "results_caching";
255 
269  public const string RULE_BASED_OPTIMIZATION = "rule_based_optimization";
270 
284  public const string SSQ_OPTIMIZATION = "ssq_optimization";
285 
289  public const string TTL = "ttl";
290 
313  public const string UPDATE_ON_EXISTING_PK = "update_on_existing_pk";
314 
328  public const string VALIDATE_CHANGE_COLUMN = "validate_change_column";
329 
334  public const string CURRENT_SCHEMA = "current_schema";
335  } // end struct Options
336 
338  public string statement { get; set; }
339 
344  public long offset { get; set; } = 0;
345 
358  public long limit { get; set; } = -9999;
359 
373  public string encoding { get; set; } = Encoding.BINARY;
374 
377  public string request_schema_str { get; set; } = "";
378 
384  public IList<byte[]> data { get; set; } = new List<byte[]>();
385 
747  public IDictionary<string, string> options { get; set; } = new Dictionary<string, string>();
748 
751  public ExecuteSqlRequest() { }
752 
1141  long? offset = null,
1142  long? limit = null,
1143  string request_schema_str = null,
1144  IList<byte[]> data = null,
1145  IDictionary<string, string> options = null)
1146  {
1147  this.statement = statement ?? "";
1148  this.offset = offset ?? 0;
1149  this.limit = limit ?? -9999;
1150  this.encoding = Encoding.BINARY;
1152  this.data = data ?? new List<byte[]>();
1153  this.options = options ?? new Dictionary<string, string>();
1154  } // end constructor
1155 
1556  long? offset = null,
1557  long? limit = null,
1558  string encoding = null,
1559  string request_schema_str = null,
1560  IList<byte[]> data = null,
1561  IDictionary<string, string> options = null)
1562  {
1563  this.statement = statement ?? "";
1564  this.offset = offset ?? 0;
1565  this.limit = limit ?? -9999;
1566  this.encoding = encoding ?? Encoding.BINARY;
1568  this.data = data ?? new List<byte[]>();
1569  this.options = options ?? new Dictionary<string, string>();
1570  } // end full constructor
1571 } // end class ExecuteSqlRequest
1572 
1577 {
1582  public struct HasMoreRecords
1583  {
1584  public const string TRUE = "true";
1585  public const string FALSE = "false";
1586  } // end struct HasMoreRecords
1587 
1591  public struct Info
1592  {
1594  public const string COUNT = "count";
1595 
1600  public const string RESULT_TABLE_LIST = "result_table_list";
1601  } // end struct Info
1602 
1604  public long count_affected { get; set; }
1605 
1608  public string response_schema_str { get; set; }
1609 
1611  public byte[] binary_encoded_response { get; set; }
1612 
1614  public string json_encoded_response { get; set; }
1615 
1617  public long total_number_of_records { get; set; }
1618 
1629  public bool has_more_records { get; set; }
1630 
1638  public string paging_table { get; set; }
1639 
1657  public IDictionary<string, string> info { get; set; } = new Dictionary<string, string>();
1658 } // end class RawExecuteSqlResponse
1659 
1664 {
1669  public struct HasMoreRecords
1670  {
1671  public const string TRUE = "true";
1672  public const string FALSE = "false";
1673  } // end struct HasMoreRecords
1674 
1678  public struct Info
1679  {
1681  public const string COUNT = "count";
1682 
1687  public const string RESULT_TABLE_LIST = "result_table_list";
1688  } // end struct Info
1689 
1691  public long count_affected { get; set; }
1692 
1694  public IList<KineticaRecord> data { get; set; } = new List<KineticaRecord>();
1695 
1697  public long total_number_of_records { get; set; }
1698 
1709  public bool has_more_records { get; set; }
1710 
1718  public string paging_table { get; set; }
1719 
1737  public IDictionary<string, string> info { get; set; } = new Dictionary<string, string>();
1738 } // end class ExecuteSqlResponse
const string COUNT
Number of records without final limits applied.
Definition: ExecuteSql.cs:1681
IDictionary< string, string > info
Additional information.
Definition: ExecuteSql.cs:1737
const string RULE_BASED_OPTIMIZATION
If FALSE, disables rule-based rewrite optimizations for the given query.
Definition: ExecuteSql.cs:269
const string RESULT_TABLE_LIST
List of tables, comma-separated, in addition to the paging_table, created as result of the query.
Definition: ExecuteSql.cs:1687
const string COUNT
Number of records without final limits applied.
Definition: ExecuteSql.cs:1594
A set of string constants for the parameter options.
Definition: ExecuteSql.cs:52
IDictionary< string, string > options
Optional parameters.
Definition: ExecuteSql.cs:747
const string IGNORE_EXISTING_PK
Specifies the record collision error-suppression policy for inserting into or updating a table with a...
Definition: ExecuteSql.cs:125
const string UPDATE_ON_EXISTING_PK
Specifies the record collision policy for inserting into or updating a table with a primary key.
Definition: ExecuteSql.cs:313
const string RESULTS_CACHING
If FALSE, disables caching of the results of the given query.
Definition: ExecuteSql.cs:254
string json_encoded_response
Avro JSON encoded response.
Definition: ExecuteSql.cs:1614
const string TTL
Sets the TTL of the intermediate result tables used in query execution.
Definition: ExecuteSql.cs:289
KineticaData - class to help with Avro Encoding for Kinetica
Definition: KineticaData.cs:14
long count_affected
The number of objects/records affected.
Definition: ExecuteSql.cs:1604
const string PAGING_TABLE_TTL
Sets the TTL of the paging table.
Definition: ExecuteSql.cs:172
A set of string constants for the parameter encoding.
Definition: ExecuteSql.cs:43
A set of results returned by Kinetica.executeSql.
Definition: ExecuteSql.cs:1576
A set of string constants for the parameter has_more_records.
Definition: ExecuteSql.cs:1582
const string PLAN_CACHE
If FALSE, disables plan caching for the given query.
Definition: ExecuteSql.cs:202
IList< byte[]> data
An array of binary-encoded data for the records to be binded to the SQL query.
Definition: ExecuteSql.cs:384
long offset
A positive integer indicating the number of initial results to skip (this can be useful for paging th...
Definition: ExecuteSql.cs:344
bool has_more_records
Too many records.
Definition: ExecuteSql.cs:1709
const string CURRENT_SCHEMA
Use the supplied value as the default schema when processing this SQL command.
Definition: ExecuteSql.cs:334
ExecuteSqlRequest(string statement, long? offset=null, long? limit=null, string encoding=null, string request_schema_str=null, IList< byte[]> data=null, IDictionary< string, string > options=null)
Constructs an ExecuteSqlRequest object with the specified parameters.
Definition: ExecuteSql.cs:1555
const string QUERY_PARAMETERS
Query parameters in JSON array or arrays (for inserting multiple rows).
Definition: ExecuteSql.cs:239
long count_affected
The number of objects/records affected.
Definition: ExecuteSql.cs:1691
long total_number_of_records
Total/Filtered number of records.
Definition: ExecuteSql.cs:1697
string paging_table
Name of the table that has the result records of the query.
Definition: ExecuteSql.cs:1638
string request_schema_str
Avro schema of data.
Definition: ExecuteSql.cs:377
const string PRESERVE_DICT_ENCODING
If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projecti...
Definition: ExecuteSql.cs:233
const string RESULT_TABLE_LIST
List of tables, comma-separated, in addition to the paging_table, created as result of the query.
Definition: ExecuteSql.cs:1600
ExecuteSqlRequest()
Constructs an ExecuteSqlRequest object with default parameters.
Definition: ExecuteSql.cs:751
A set of string constants for the parameter info.
Definition: ExecuteSql.cs:1591
IDictionary< string, string > info
Additional information.
Definition: ExecuteSql.cs:1657
const string DISTRIBUTED_OPERATIONS
If TRUE, enables the use of distributed operations in servicing the given query.
Definition: ExecuteSql.cs:100
string response_schema_str
Avro schema of binary_encoded_response or json_encoded_response.
Definition: ExecuteSql.cs:1608
A set of string constants for the parameter info.
Definition: ExecuteSql.cs:1678
const string PAGING_TABLE
When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the result...
Definition: ExecuteSql.cs:159
A set of parameters for Kinetica.executeSql.
Definition: ExecuteSql.cs:37
long limit
A positive integer indicating the maximum number of results to be returned, or END_OF_SET (-9999) to ...
Definition: ExecuteSql.cs:358
A set of string constants for the parameter has_more_records.
Definition: ExecuteSql.cs:1669
const string SSQ_OPTIMIZATION
If FALSE, scalar subqueries will be translated into joins.
Definition: ExecuteSql.cs:284
ExecuteSqlRequest(string statement, long? offset=null, long? limit=null, string request_schema_str=null, IList< byte[]> data=null, IDictionary< string, string > options=null)
Constructs an ExecuteSqlRequest object with the specified parameters.
Definition: ExecuteSql.cs:1140
bool has_more_records
Too many records.
Definition: ExecuteSql.cs:1629
const string PREPARE_MODE
If TRUE, compiles a query into an execution plan and saves it in query cache.
Definition: ExecuteSql.cs:217
const string PARALLEL_EXECUTION
If FALSE, disables the parallel step execution of the given query.
Definition: ExecuteSql.cs:187
string encoding
Specifies the encoding for returned records; either 'binary' or 'json'.
Definition: ExecuteSql.cs:373
const string COST_BASED_OPTIMIZATION
If FALSE, disables the cost-based optimization of the given query.
Definition: ExecuteSql.cs:67
long total_number_of_records
Total/Filtered number of records.
Definition: ExecuteSql.cs:1617
const string DISTRIBUTED_JOINS
If TRUE, enables the use of distributed joins in servicing the given query.
Definition: ExecuteSql.cs:85
const string LATE_MATERIALIZATION
If TRUE, Joins/Filters results will always be materialized ( saved to result tables format).
Definition: ExecuteSql.cs:141
string statement
SQL statement (query, DML, or DDL) to be executed.
Definition: ExecuteSql.cs:338
byte [] binary_encoded_response
Avro binary encoded response.
Definition: ExecuteSql.cs:1611
string paging_table
Name of the table that has the result records of the query.
Definition: ExecuteSql.cs:1718
const string VALIDATE_CHANGE_COLUMN
When changing a column using alter table, validate the change before applying it.
Definition: ExecuteSql.cs:328
IList< KineticaRecord > data
Avro binary encoded response.
Definition: ExecuteSql.cs:1694
A set of results returned by Kinetica.executeSql.
Definition: ExecuteSql.cs:1663